Bug 195236 - Update multimedia/cx88 to 1.4.11
Summary: Update multimedia/cx88 to 1.4.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-21 01:47 UTC by jason.harmening
Modified: 2014-11-25 20:04 UTC (History)
1 user (show)

See Also:


Attachments
patch containing the update (2.10 KB, text/plain)
2014-11-21 01:47 UTC, jason.harmening
no flags Details
update w/ format warning fixes (2.10 KB, text/plain)
2014-11-23 21:51 UTC, jason.harmening
no flags Details
more format warning fixes (2.10 KB, patch)
2014-11-24 11:12 UTC, jason.harmening
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jason.harmening 2014-11-21 01:47:44 UTC
Created attachment 149658 [details]
patch containing the update

--Replace readline with libedit
--Replace @ symlink with SYSDIR for kld builds, fixes build on -CURRENT
--strip binaries for non-DEBUG builds
--Remove deprecated json-c calls
--Minor usability improvements
Comment 1 Thomas Zander freebsd_committer 2014-11-23 20:52:56 UTC
This does not build on 9.3/i386 with HAL option enabled:

cc -pipe -g -fno-strict-aliasing -D_DIAGNOSTIC=0x7f -Werror -D_KERNEL -DKLD_MODULE -nostdinc   -I. -I@ -I@/contrib/altq -finline-limit=8000 --param inline-unit-growth=100 --param large-function-growth=1000 -fno-common   -mno-align-long-strings -mpreferred-stack-boundary=2 -mno-mmx -mno-sse -msoft-float -ffreestanding -fstack-protector -std=iso9899:1999  -fstack-protector -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes  -Wmissing-prototypes -Wpointer-arith -Winline -Wcast-qual  -Wundef -Wno-pointer-sign -fformat-extensions  -Wmissing-include-dirs -fdiagnostics-show-option   -c cx88_common.c
cc1: warnings being treated as errors
cx88_common.c: In function 'cx88_write_addr64':
cx88_common.c:2320: warning: format '%lx' expects type 'long unsigned int', but argument 2 has type 'bus_addr_t' [-Wformat]
cx88_common.c: In function 'cx88_write_addr32':
cx88_common.c:2328: warning: format '%lx' expects type 'long unsigned int', but argument 2 has type 'bus_addr_t' [-Wformat]
*** [cx88_common.o] Error code 1
Comment 2 jason.harmening 2014-11-23 21:51:57 UTC
Created attachment 149757 [details]
update w/ format warning fixes
Comment 3 Thomas Zander freebsd_committer 2014-11-23 23:07:19 UTC
(In reply to jason.harmening from comment #2)
> Created attachment 149757 [details]
> update w/ format warning fixes

This patch is identical to the previous version :-)
Comment 4 jason.harmening 2014-11-24 00:43:15 UTC
(In reply to Thomas Zander from comment #3)
> (In reply to jason.harmening from comment #2)
> > Created attachment 149757 [details]
> > update w/ format warning fixes
> 
> This patch is identical to the previous version :-)

The patches are not identical.  The fix for the compile warning is in the tarball, so the distinfo checksums are different between the patches.
Comment 5 Thomas Zander freebsd_committer 2014-11-24 05:57:52 UTC
My mistake. Does not solve the issue, though. Now the error occurs in a different file (9.3 i386, HAL enabled):

cc -pipe -g -fno-strict-aliasing -D_DIAGNOSTIC=0x7f -Werror -D_KERNEL -DKLD_MODULE -nostdinc  -I../common -I../i2c -I. -I@ -I@/contrib/altq -finline-limit=8000 --param inline-unit-growth=100 --param large-function-growth=1000 -fno-common   -mno-align-long-strings -mpreferred-stack-boundary=2 -mno-mmx -mno-sse -msoft-float -ffreestanding -fstack-protector -std=iso9899:1999  -fstack-protector -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes  -Wmissing-prototypes -Wpointer-arith -Winline -Wcast-qual  -Wundef -Wno-pointer-sign -fformat-extensions  -Wmissing-include-dirs -fdiagnostics-show-option   -c cx88_mpeg.c
cc1: warnings being treated as errors
cx88_mpeg.c: In function 'cx88_mpeg_configure':
cx88_mpeg.c:280: warning: format '%ld' expects type 'long int', but argument 2 has type 'size_t' [-Wformat]
*** [cx88_mpeg.o] Error code 1
Comment 6 jason.harmening 2014-11-24 11:12:01 UTC
Created attachment 149767 [details]
more format warning fixes

Looks like these failures come from building w/ DEBUG + -Werror + i386 + 9-STABLE.
I haven't seen any warnings w/ 10-STABLE and -CURRENT (i386 or amd64) and no longer have 9-STABLE, so I'm shooting in the dark.  Grepping through all the code, it looks like that was the only other printf that would have a warning, so let's hope this fixes it.
Comment 7 commit-hook freebsd_committer 2014-11-25 19:50:13 UTC
A commit references this bug:

Author: riggs
Date: Tue Nov 25 19:49:58 UTC 2014
New revision: 373429
URL: https://svnweb.freebsd.org/changeset/ports/373429

Log:
  Update to version 1.4.11

  PR:		195236
  Submitted by:	jason.harmening@gmail.com (maintainer)

Changes:
  head/multimedia/cx88/Makefile
  head/multimedia/cx88/distinfo
  head/multimedia/cx88/pkg-plist
Comment 8 Thomas Zander freebsd_committer 2014-11-25 20:04:06 UTC
Committed, thanks for taking care of the warnings!